<div class="container-fluid">
  <div class="col-12">
    <h1>{{title}}</h1>
    <div class="row">
      <div class="col-12 order-last col-md-9 order-md-first">
        <!--cards usuarios-->
        <div class="card col-12 card-users" *ngFor="let publication of publications">
          <div class="card-body d-flex flex-row">
            <div class="row col-12">
              <div class="col-12 col-lg-1">
                <img src="{{url + 'get-image-user/'+ publication.user.image }}" alt="" class="avatar-users"
                  *ngIf="publication.user.image" />
                <img src="assets/icon-user-default.png" class="avatar-users" alt="" *ngIf="!publication.user.image" />
              </div>
              <div class="col-12 col-lg-4">
                <a [routerLink]="['/profile',publication.user._id]"><span
                    class="font-weight-bold">{{publication.user.name +" "+publication.user.surname}}</span></a>
                <span class="publication-time">
                  &nbsp;|&nbsp;{{(publication.created_at | amFromUnix) | amLocale:'es' | amTimeAgo }}</span>
                <br>
                <span>{{publication.user.nick}}</span>
              </div>
              <div class="col-9 offset-1 d-flex justify-content-start publication-text">
                {{publication.text}}
              </div>
              <div class="col" *ngIf="publication.user._id==identity._id">
                <a href="#exampleModal{{publication._id}}" class="btn btn-danger" data-toggle="modal"><i class="fas fa-trash-alt"></i></a>
              </div>
              <!-- Modal -->
              <div class="modal fade" id="exampleModal{{publication._id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog" role="document">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLabel">Confirma borrar publicación</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      ¿Seguro que quieres borrar la publicación?
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                      <button type="button" class="btn btn-primary"  data-dismiss="modal" (click)="deletePublication(publication._id)">
                        Sí, borrar
                      </button>
                    </div>
                  </div>
                </div>
              </div>
              <!--imágen de publicación-->
              <div class="col-10 m-auto d-flex justify-content-start" *ngIf="publication.file">
                <img src="{{url+'get-image-pub/'+publication.file}}" class="image-pub img-fluid"
                  id="image{{publication._id}}" />
                <i class="fas fa-times-circle icono-cerrar-imagen" (click)="openCloseImage(publication._id,$event)"></i>
              </div>
            </div>
          </div>
        </div>
        <!--Paginación-->
        <div class="clearfix"></div>
        <div class="col-12 d-flex justify-content-center">
          <input type="button" class="btn btn-success" value="Ver más publicaciones" (click)="viewMore()"
            *ngIf="noMore==false">
        </div>
      </div>

      <div class="col-12 order-first col-md-3 order-md-last">
        <!--Barra de usuarios-->
        <sidebar (sended)="refresh($event)"></sidebar>
      </div>
    </div>


  </div>
</div>